org.modeshape.sequencer.classfile.metadata

## Class ClassMetadata

- java.lang.Object
- - org.modeshape.sequencer.classfile.metadata.ClassMetadata

- Direct Known Subclasses:
    EnumMetadata

      @Immutable
      public class ClassMetadata
      extends Object

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<AnnotationMetadata>` | `getAnnotations()`
    `String` | `getClassName()`
    `List<MethodMetadata>` | `getConstructors()`
    `List<FieldMetadata>` | `getFields()`
    `List<ImportMetadata>` | `getImports()`
    `String[]` | `getInterfaces()`
    `List<MethodMetadata>` | `getMethods()`
    `String` | `getSuperclassName()`
    `Visibility` | `getVisibility()`
    `boolean` | `isAbstract()`
    `boolean` | `isEnumeration()`
    `boolean` | `isFinal()`
    `boolean` | `isInterface()`
    `boolean` | `isStrictFp()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### isEnumeration

          public boolean isEnumeration()

    - #### getClassName

          public String getClassName()

    - #### getSuperclassName

          public String getSuperclassName()

    - #### getInterfaces

          public String[] getInterfaces()

    - #### isAbstract

          public boolean isAbstract()

    - #### isInterface

          public boolean isInterface()

    - #### isStrictFp

          public boolean isStrictFp()

    - #### isFinal

          public boolean isFinal()

    - #### getVisibility

          public Visibility getVisibility()

    - #### getAnnotations

          public List<AnnotationMetadata> getAnnotations()

    - #### getFields

          public List<FieldMetadata> getFields()

    - #### getMethods

          public List<MethodMetadata> getMethods()

    - #### getConstructors

          public List<MethodMetadata> getConstructors()

    - #### getImports

          public List<ImportMetadata> getImports()

      Returns:
        the imports (never `null` but can be empty)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.